ExceptionCode (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.exceptions

## Enum ExceptionCode

- java.lang.Object
- - java.lang.Enum<ExceptionCode>
  - - org.apache.cassandra.exceptions.ExceptionCode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ExceptionCode>

      public enum ExceptionCode
      extends java.lang.Enum<ExceptionCode>

  Exceptions code, as defined by the binary protocol.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALREADY_EXISTS`
    `BAD_CREDENTIALS`
    `CONFIG_ERROR`
    `FUNCTION_FAILURE`
    `INVALID`
    `IS_BOOTSTRAPPING`
    `OVERLOADED`
    `PROTOCOL_ERROR`
    `READ_FAILURE`
    `READ_TIMEOUT`
    `SERVER_ERROR`
    `SYNTAX_ERROR`
    `TRUNCATE_ERROR`
    `UNAUTHORIZED`
    `UNAVAILABLE`
    `UNPREPARED`
    `WRITE_FAILURE`
    `WRITE_TIMEOUT`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `value`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ExceptionCode` | `fromValue(int value)`
    `static ExceptionCode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ExceptionCode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SERVER_ERROR

          public static final ExceptionCode SERVER_ERROR

    - #### PROTOCOL_ERROR

          public static final ExceptionCode PROTOCOL_ERROR

    - #### BAD_CREDENTIALS

          public static final ExceptionCode BAD_CREDENTIALS

    - #### UNAVAILABLE

          public static final ExceptionCode UNAVAILABLE

    - #### OVERLOADED

          public static final ExceptionCode OVERLOADED

    - #### IS_BOOTSTRAPPING

          public static final ExceptionCode IS_BOOTSTRAPPING

    - #### TRUNCATE_ERROR

          public static final ExceptionCode TRUNCATE_ERROR

    - #### WRITE_TIMEOUT

          public static final ExceptionCode WRITE_TIMEOUT

    - #### READ_TIMEOUT

          public static final ExceptionCode READ_TIMEOUT

    - #### READ_FAILURE

          public static final ExceptionCode READ_FAILURE

    - #### FUNCTION_FAILURE

          public static final ExceptionCode FUNCTION_FAILURE

    - #### WRITE_FAILURE

          public static final ExceptionCode WRITE_FAILURE

    - #### SYNTAX_ERROR

          public static final ExceptionCode SYNTAX_ERROR

    - #### UNAUTHORIZED

          public static final ExceptionCode UNAUTHORIZED

    - #### INVALID

          public static final ExceptionCode INVALID

    - #### CONFIG_ERROR

          public static final ExceptionCode CONFIG_ERROR

    - #### ALREADY_EXISTS

          public static final ExceptionCode ALREADY_EXISTS

    - #### UNPREPARED

          public static final ExceptionCode UNPREPARED

  - ### Field Detail

    - #### value

          public final int value

  - ### Method Detail

    - #### values

          public static ExceptionCode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ExceptionCode c : ExceptionCode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ExceptionCode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### fromValue

          public static ExceptionCode fromValue(int value)

Copyright © 2018 The Apache Software Foundation